
Figure - Bug #118001
IOVDEV-28337 【内部】【VC1】【0080】【台架】【EE环境】【系统设置】副驾息屏BTN回弹
2023-05-17 17:11 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CDTS-TEST 周婷 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 03.02.0080.C101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-12

Test Type: Free Test Root cause: 上报给中控的数据不对��

Description

【HiPhiUI】【系统设置】副驾息屏BTN回弹

【车架号】：HRYTTESTVINMGM817

【环境信息】：EE环境

【问题出现时间】：20230516   14.28

【前提条件】：1、车机上电

【操作步骤】1、进入设置-显示-开启副驾息屏

【实际结果】1、按钮回弹

【期望结果】1、按钮高亮

【备注】：UX_VC1_11_系统设置_V0.1.3_20230131

PRD_MCE_系统设置_V0.2.4_20230203

IDCM_系统设置_系统需求文档_v1.3

【版本详情】

影响版本：03.02.0080.C101

【硬件版本号】B样

v-HongxuYan 麻烦看下这个副驾息屏开关回弹问题，设置下发了启用息屏模式，但是一会就上报了回弹

固定链接

HongxuYan

v-HongxuYan 添加了评论 - 2023/05/17 09:38 - 已编辑

1.MultiScreen在发送息屏失败，副屏没有通知MultiScreen息屏状态时，当作此次息屏失败，通知App开关回弹

2.此次副屏发送过来的息屏协议错误，也当作是失败，所以通知回弹

05-16 14:32:19.952  2593  2784 D MultiScreen_ComhalReceiver: onReceiveData
05-16 14:32:19.952  2593  2784 D MultiScreen_ComhalReceiver: onReceiveData data size:192

05-16 14:32:19.952  2593  2784 D MultiScreen_ComhalReceiver: onReceiveData receiveData =

{"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1684218739308583493,"methodName":"reportS

creenDisplay","parameters":{"reportScreenDisplay":1}}

05-16 14:32:19.952  2593  2784 W System.err: org.json.JSONException: No value for ScreenDisplay

05-16 14:32:19.952  2593  2784 W System.err:     at org.json.JSONObject.get(JSONObject.java:400)

05-16 14:32:19.952  2593  2784 W System.err:     at org.json.JSONObject.getString(JSONObject.java:561)

05-16 14:32:19.952  2593  2784 W System.err:     at com.hryt.multiScreenService.comhal.ComhalReceiver$1.onReceiveData(ComhalReceiver.java:68)

05-16 14:32:19.952  2593  2784 W System.err:     at vendor.hht.comhal.comhal.V1_0.IComHalListener$Stub.onTransact(IComHalListener.java:567)

固定链接 编辑 删除

AlexHu1

v-AlexHu1 添加了评论 - 2023/05/17 15:57 - 已编辑

台架上测试需使用以下命令打开息屏按钮后才能使用此功能：

adb root

adb shell

ssh root@223.255.255.1

dbus-send --bus=tcp:host=223.255.255.1,port=55666 --type=signal / ipcl.out.to.droid.SWC2VHAL_COMM array:byte:3,51,1

固定链接

AriaHu1

Aria HU 胡瑞 添加了评论 - 2023/05/17 16:44

固定链接

AriaHu1

Aria HU 胡瑞 添加了评论 - 2023/05/17 16:46 - 已编辑

video_1684313065.mp416.44    VIN同票（此台架已连接副屏）

History

#1 - 2023-05-17 19:26 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-05-17 19:40 - CDTS_TEST 王成

- File video_1684313065.mp4 added

- File video_1684218373.mp4 added

- File image-2023-05-17-16-44-37-482.png added

- File image-2023-05-16-19-46-45-826.png added

1.MultiScreen在发送息屏失败，副屏没有通知MultiScreen息屏状态时，当作此次息屏失败，通知App开关回弹

2.此次副屏发送过来的息屏协议错误，也当作是失败，所以通知回弹

05-16 14:32:19.952  2593  2784 D MultiScreen_ComhalReceiver: onReceiveData

05-16 14:32:19.952  2593  2784 D MultiScreen_ComhalReceiver: onReceiveData data size:192

05-16 14:32:19.952  2593  2784 D MultiScreen_ComhalReceiver: onReceiveData receiveData =

{"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1684218739308583493,"methodName":"reportScreenDisplay","para

meters":{"reportScreenDisplay":1}}

05-16 14:32:19.952  2593  2784 W System.err: org.json.JSONException: No value for ScreenDisplay

05-16 14:32:19.952  2593  2784 W System.err:     at org.json.JSONObject.get(JSONObject.java:400)

05-16 14:32:19.952  2593  2784 W System.err:     at org.json.JSONObject.getString(JSONObject.java:561)

05-16 14:32:19.952  2593  2784 W System.err:     at com.hryt.multiScreenService.comhal.ComhalReceiver$1.onReceiveData(ComhalReceiver.java:68)
05-16 14:32:19.952  2593  2784 W System.err:     at vendor.hht.comhal.comhal.V1_0.IComHalListener$Stub.onTransact(IComHalListener.java:567)

#3 - 2023-05-17 19:45 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS-TEST 周婷

- Need_Info changed from -- to TEST

应该在5月12日解决了，001000版本会有该提交，请使用00100版本测试

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/199504

#4 - 2023-05-18 20:43 - CDTS-TEST 周婷

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS-TEST 周婷 to CD FW-程天颖

走resolve 状态

#5 - 2023-05-19 17:43 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CDTS-TEST 周婷

- % Done changed from 0 to 100

- Need_Info changed from TEST to --

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-12

- Root cause set to 上报给中控的数据不对

■ Current conclusion

应该在5月12日解决了，001000版本会有该提交，请使用00100版本测试

■ My analysis

上报给中控的数据不对

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/199504

#6 - 2023-06-02 19:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

验证通过

#7 - 2023-06-02 19:15 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

video_1684313065.mp4 894 KB 2023-05-17 CDTS_TEST 王成
video_1684218373.mp4 2.47 MB 2023-05-17 CDTS_TEST 王成

image-2023-05-17-16-44-37-482.png 54.6 KB 2023-05-17 CDTS_TEST 王成

image-2023-05-16-19-46-45-826.png 115 KB 2023-05-17 CDTS_TEST 王成
